XCB: XCB DRI3 API

XCB 1.17.0

Data Structures | Macros | Typedefs | Functions | Variables
XCB DRI3 API

DRI3 XCB Protocol Implementation. More...

## Data Structures
struct | xcb_dri3_syncobj_iterator_t
| xcb_dri3_syncobj_iterator_t More...
struct | xcb_dri3_query_version_cookie_t
| xcb_dri3_query_version_cookie_t More...
struct | xcb_dri3_query_version_request_t
| xcb_dri3_query_version_request_t More...
struct | xcb_dri3_query_version_reply_t
| xcb_dri3_query_version_reply_t More...
struct | xcb_dri3_open_cookie_t
| xcb_dri3_open_cookie_t More...
struct | xcb_dri3_open_request_t
| xcb_dri3_open_request_t More...
struct | xcb_dri3_open_reply_t
| xcb_dri3_open_reply_t More...
struct | xcb_dri3_pixmap_from_buffer_request_t
| xcb_dri3_pixmap_from_buffer_request_t More...
struct | xcb_dri3_buffer_from_pixmap_cookie_t
| xcb_dri3_buffer_from_pixmap_cookie_t More...
struct | xcb_dri3_buffer_from_pixmap_request_t
| xcb_dri3_buffer_from_pixmap_request_t More...
struct | xcb_dri3_buffer_from_pixmap_reply_t
| xcb_dri3_buffer_from_pixmap_reply_t More...
struct | xcb_dri3_fence_from_fd_request_t
| xcb_dri3_fence_from_fd_request_t More...
struct | xcb_dri3_fd_from_fence_cookie_t
| xcb_dri3_fd_from_fence_cookie_t More...
struct | xcb_dri3_fd_from_fence_request_t
| xcb_dri3_fd_from_fence_request_t More...
struct | xcb_dri3_fd_from_fence_reply_t
| xcb_dri3_fd_from_fence_reply_t More...
struct | xcb_dri3_get_supported_modifiers_cookie_t
| xcb_dri3_get_supported_modifiers_cookie_t More...
struct | xcb_dri3_get_supported_modifiers_request_t
| xcb_dri3_get_supported_modifiers_request_t More...
struct | xcb_dri3_get_supported_modifiers_reply_t
| xcb_dri3_get_supported_modifiers_reply_t More...
struct | xcb_dri3_pixmap_from_buffers_request_t
| xcb_dri3_pixmap_from_buffers_request_t More...
struct | xcb_dri3_buffers_from_pixmap_cookie_t
| xcb_dri3_buffers_from_pixmap_cookie_t More...
struct | xcb_dri3_buffers_from_pixmap_request_t
| xcb_dri3_buffers_from_pixmap_request_t More...
struct | xcb_dri3_buffers_from_pixmap_reply_t
| xcb_dri3_buffers_from_pixmap_reply_t More...
struct | xcb_dri3_set_drm_device_in_use_request_t
| xcb_dri3_set_drm_device_in_use_request_t More...
struct | xcb_dri3_import_syncobj_request_t
| xcb_dri3_import_syncobj_request_t More...
struct | xcb_dri3_free_syncobj_request_t
| xcb_dri3_free_syncobj_request_t More...

## Macros
#define | XCB_DRI3_MAJOR_VERSION 1
#define | XCB_DRI3_MINOR_VERSION 4
#define | XCB_DRI3_QUERY_VERSION 0
#define | XCB_DRI3_OPEN 1
#define | XCB_DRI3_PIXMAP_FROM_BUFFER 2
#define | XCB_DRI3_BUFFER_FROM_PIXMAP 3
#define | XCB_DRI3_FENCE_FROM_FD 4
#define | XCB_DRI3_FD_FROM_FENCE 5
#define | XCB_DRI3_GET_SUPPORTED_MODIFIERS 6
#define | XCB_DRI3_PIXMAP_FROM_BUFFERS 7
#define | XCB_DRI3_BUFFERS_FROM_PIXMAP 8
#define | XCB_DRI3_SET_DRM_DEVICE_IN_USE 9
#define | XCB_DRI3_IMPORT_SYNCOBJ 10
#define | XCB_DRI3_FREE_SYNCOBJ 11

## Typedefs
typedef uint32_t | xcb_dri3_syncobj_t
typedef struct xcb_dri3_syncobj_iterator_t | xcb_dri3_syncobj_iterator_t
| xcb_dri3_syncobj_iterator_t
typedef struct xcb_dri3_query_version_cookie_t | xcb_dri3_query_version_cookie_t
| xcb_dri3_query_version_cookie_t
typedef struct xcb_dri3_query_version_request_t | xcb_dri3_query_version_request_t
| xcb_dri3_query_version_request_t
typedef struct xcb_dri3_query_version_reply_t | xcb_dri3_query_version_reply_t
| xcb_dri3_query_version_reply_t
typedef struct xcb_dri3_open_cookie_t | xcb_dri3_open_cookie_t
| xcb_dri3_open_cookie_t
typedef struct xcb_dri3_open_request_t | xcb_dri3_open_request_t
| xcb_dri3_open_request_t
typedef struct xcb_dri3_open_reply_t | xcb_dri3_open_reply_t
| xcb_dri3_open_reply_t
typedef struct xcb_dri3_pixmap_from_buffer_request_t | xcb_dri3_pixmap_from_buffer_request_t
| xcb_dri3_pixmap_from_buffer_request_t
typedef struct xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap_cookie_t
| xcb_dri3_buffer_from_pixmap_cookie_t
typedef struct xcb_dri3_buffer_from_pixmap_request_t | xcb_dri3_buffer_from_pixmap_request_t
| xcb_dri3_buffer_from_pixmap_request_t
typedef struct xcb_dri3_buffer_from_pixmap_reply_t | xcb_dri3_buffer_from_pixmap_reply_t
| xcb_dri3_buffer_from_pixmap_reply_t
typedef struct xcb_dri3_fence_from_fd_request_t | xcb_dri3_fence_from_fd_request_t
| xcb_dri3_fence_from_fd_request_t
typedef struct xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence_cookie_t
| xcb_dri3_fd_from_fence_cookie_t
typedef struct xcb_dri3_fd_from_fence_request_t | xcb_dri3_fd_from_fence_request_t
| xcb_dri3_fd_from_fence_request_t
typedef struct xcb_dri3_fd_from_fence_reply_t | xcb_dri3_fd_from_fence_reply_t
| xcb_dri3_fd_from_fence_reply_t
typedef struct xcb_dri3_get_supported_modifiers_cookie_t | xcb_dri3_get_supported_modifiers_cookie_t
| xcb_dri3_get_supported_modifiers_cookie_t
typedef struct xcb_dri3_get_supported_modifiers_request_t | xcb_dri3_get_supported_modifiers_request_t
| xcb_dri3_get_supported_modifiers_request_t
typedef struct xcb_dri3_get_supported_modifiers_reply_t | xcb_dri3_get_supported_modifiers_reply_t
| xcb_dri3_get_supported_modifiers_reply_t
typedef struct xcb_dri3_pixmap_from_buffers_request_t | xcb_dri3_pixmap_from_buffers_request_t
| xcb_dri3_pixmap_from_buffers_request_t
typedef struct xcb_dri3_buffers_from_pixmap_cookie_t | xcb_dri3_buffers_from_pixmap_cookie_t
| xcb_dri3_buffers_from_pixmap_cookie_t
typedef struct xcb_dri3_buffers_from_pixmap_request_t | xcb_dri3_buffers_from_pixmap_request_t
| xcb_dri3_buffers_from_pixmap_request_t
typedef struct xcb_dri3_buffers_from_pixmap_reply_t | xcb_dri3_buffers_from_pixmap_reply_t
| xcb_dri3_buffers_from_pixmap_reply_t
typedef struct xcb_dri3_set_drm_device_in_use_request_t | xcb_dri3_set_drm_device_in_use_request_t
| xcb_dri3_set_drm_device_in_use_request_t
typedef struct xcb_dri3_import_syncobj_request_t | xcb_dri3_import_syncobj_request_t
| xcb_dri3_import_syncobj_request_t
typedef struct xcb_dri3_free_syncobj_request_t | xcb_dri3_free_syncobj_request_t
| xcb_dri3_free_syncobj_request_t

## Functions
void | xcb_dri3_syncobj_next (xcb_dri3_syncobj_iterator_t *i)
xcb_generic_iterator_t | xcb_dri3_syncobj_end (xcb_dri3_syncobj_iterator_t i)
xcb_dri3_query_version_cookie_t | xcb_dri3_query_version (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri3_query_version_cookie_t | xcb_dri3_query_version_unchecked (xcb_connection_t *c, uint32_t major_version, uint32_t minor_version)
xcb_dri3_query_version_reply_t * | xcb_dri3_query_version_reply (xcb_connection_t *c, xcb_dri3_query_version_cookie_t cookie, xcb_generic_error_t **e)
xcb_dri3_open_cookie_t | xcb_dri3_open (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t provider)
xcb_dri3_open_cookie_t | xcb_dri3_open_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t provider)
xcb_dri3_open_reply_t * | xcb_dri3_open_reply (xcb_connection_t *c, xcb_dri3_open_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_open_reply_fds (xcb_connection_t *c, xcb_dri3_open_reply_t *reply)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffer_checked (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_drawable_t drawable, uint32_t size, uint16_t width, uint16_t height, uint16_t stride, uint8_t depth, uint8_t bpp, int32_t pixmap_fd)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffer (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_drawable_t drawable, uint32_t size, uint16_t width, uint16_t height, uint16_t stride, uint8_t depth, uint8_t bpp, int32_t pixmap_fd)
xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_dri3_buffer_from_pixmap_cookie_t | xcb_dri3_buffer_from_pixmap_unchecked (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_dri3_buffer_from_pixmap_reply_t * | xcb_dri3_buffer_from_pixmap_reply (xcb_connection_t *c, xcb_dri3_buffer_from_pixmap_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_buffer_from_pixmap_reply_fds (xcb_connection_t *c, xcb_dri3_buffer_from_pixmap_reply_t *reply)
xcb_void_cookie_t | xcb_dri3_fence_from_fd_checked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence, uint8_t initially_triggered, int32_t fence_fd)
xcb_void_cookie_t | xcb_dri3_fence_from_fd (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence, uint8_t initially_triggered, int32_t fence_fd)
xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence)
xcb_dri3_fd_from_fence_cookie_t | xcb_dri3_fd_from_fence_unchecked (xcb_connection_t *c, xcb_drawable_t drawable, uint32_t fence)
xcb_dri3_fd_from_fence_reply_t * | xcb_dri3_fd_from_fence_reply (xcb_connection_t *c, xcb_dri3_fd_from_fence_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_fd_from_fence_reply_fds (xcb_connection_t *c, xcb_dri3_fd_from_fence_reply_t *reply)
int | xcb_dri3_get_supported_modifiers_sizeof (const void *_buffer)
xcb_dri3_get_supported_modifiers_cookie_t | xcb_dri3_get_supported_modifiers (xcb_connection_t *c, uint32_t window, uint8_t depth, uint8_t bpp)
xcb_dri3_get_supported_modifiers_cookie_t | xcb_dri3_get_supported_modifiers_unchecked (xcb_connection_t *c, uint32_t window, uint8_t depth, uint8_t bpp)
uint64_t * | xcb_dri3_get_supported_modifiers_window_modifiers (const xcb_dri3_get_supported_modifiers_reply_t *R)
int | xcb_dri3_get_supported_modifiers_window_modifiers_length (const xcb_dri3_get_supported_modifiers_reply_t *R)
xcb_generic_iterator_t | xcb_dri3_get_supported_modifiers_window_modifiers_end (const xcb_dri3_get_supported_modifiers_reply_t *R)
uint64_t * | xcb_dri3_get_supported_modifiers_screen_modifiers (const xcb_dri3_get_supported_modifiers_reply_t *R)
int | xcb_dri3_get_supported_modifiers_screen_modifiers_length (const xcb_dri3_get_supported_modifiers_reply_t *R)
xcb_generic_iterator_t | xcb_dri3_get_supported_modifiers_screen_modifiers_end (const xcb_dri3_get_supported_modifiers_reply_t *R)
xcb_dri3_get_supported_modifiers_reply_t * | xcb_dri3_get_supported_modifiers_reply (xcb_connection_t *c, xcb_dri3_get_supported_modifiers_cookie_t cookie, xcb_generic_error_t **e)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffers_checked (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_window_t window, uint8_t num_buffers, uint16_t width, uint16_t height, uint32_t stride0, uint32_t offset0, uint32_t stride1, uint32_t offset1, uint32_t stride2, uint32_t offset2, uint32_t stride3, uint32_t offset3, uint8_t depth, uint8_t bpp, uint64_t modifier, const int32_t *buffers)
xcb_void_cookie_t | xcb_dri3_pixmap_from_buffers (xcb_connection_t *c, xcb_pixmap_t pixmap, xcb_window_t window, uint8_t num_buffers, uint16_t width, uint16_t height, uint32_t stride0, uint32_t offset0, uint32_t stride1, uint32_t offset1, uint32_t stride2, uint32_t offset2, uint32_t stride3, uint32_t offset3, uint8_t depth, uint8_t bpp, uint64_t modifier, const int32_t *buffers)
int | xcb_dri3_buffers_from_pixmap_sizeof (const void *_buffer, int32_t buffers)
xcb_dri3_buffers_from_pixmap_cookie_t | xcb_dri3_buffers_from_pixmap (xcb_connection_t *c, xcb_pixmap_t pixmap)
xcb_dri3_buffers_from_pixmap_cookie_t | xcb_dri3_buffers_from_pixmap_unchecked (xcb_connection_t *c, xcb_pixmap_t pixmap)
uint32_t * | xcb_dri3_buffers_from_pixmap_strides (const xcb_dri3_buffers_from_pixmap_reply_t *R)
int | xcb_dri3_buffers_from_pixmap_strides_length (const xcb_dri3_buffers_from_pixmap_reply_t *R)
xcb_generic_iterator_t | xcb_dri3_buffers_from_pixmap_strides_end (const xcb_dri3_buffers_from_pixmap_reply_t *R)
uint32_t * | xcb_dri3_buffers_from_pixmap_offsets (const xcb_dri3_buffers_from_pixmap_reply_t *R)
int | xcb_dri3_buffers_from_pixmap_offsets_length (const xcb_dri3_buffers_from_pixmap_reply_t *R)
xcb_generic_iterator_t | xcb_dri3_buffers_from_pixmap_offsets_end (const xcb_dri3_buffers_from_pixmap_reply_t *R)
int32_t * | xcb_dri3_buffers_from_pixmap_buffers (const xcb_dri3_buffers_from_pixmap_reply_t *R)
int | xcb_dri3_buffers_from_pixmap_buffers_length (const xcb_dri3_buffers_from_pixmap_reply_t *R)
xcb_generic_iterator_t | xcb_dri3_buffers_from_pixmap_buffers_end (const xcb_dri3_buffers_from_pixmap_reply_t *R)
xcb_dri3_buffers_from_pixmap_reply_t * | xcb_dri3_buffers_from_pixmap_reply (xcb_connection_t *c, xcb_dri3_buffers_from_pixmap_cookie_t cookie, xcb_generic_error_t **e)
int * | xcb_dri3_buffers_from_pixmap_reply_fds (xcb_connection_t *c, xcb_dri3_buffers_from_pixmap_reply_t *reply)
xcb_void_cookie_t | xcb_dri3_set_drm_device_in_use_checked (xcb_connection_t *c, xcb_window_t window, uint32_t drmMajor, uint32_t drmMinor)
xcb_void_cookie_t | xcb_dri3_set_drm_device_in_use (xcb_connection_t *c, xcb_window_t window, uint32_t drmMajor, uint32_t drmMinor)
xcb_void_cookie_t | xcb_dri3_import_syncobj_checked (xcb_connection_t *c, xcb_dri3_syncobj_t syncobj, xcb_drawable_t drawable, int32_t syncobj_fd)
xcb_void_cookie_t | xcb_dri3_import_syncobj (xcb_connection_t *c, xcb_dri3_syncobj_t syncobj, xcb_drawable_t drawable, int32_t syncobj_fd)
xcb_void_cookie_t | xcb_dri3_free_syncobj_checked (xcb_connection_t *c, xcb_dri3_syncobj_t syncobj)
xcb_void_cookie_t | xcb_dri3_free_syncobj (xcb_connection_t *c, xcb_dri3_syncobj_t syncobj)

## Variables
xcb_extension_t | xcb_dri3_id

## Detailed Description

DRI3 XCB Protocol Implementation.

## Macro Definition Documentation

## ◆ XCB_DRI3_BUFFER_FROM_PIXMAP

#define XCB_DRI3_BUFFER_FROM_PIXMAP 3

Opcode for xcb_dri3_buffer_from_pixmap.

Referenced by xcb_dri3_buffer_from_pixmap(), and xcb_dri3_buffer_from_pixmap_unchecked().

## ◆ XCB_DRI3_BUFFERS_FROM_PIXMAP

#define XCB_DRI3_BUFFERS_FROM_PIXMAP 8

Opcode for xcb_dri3_buffers_from_pixmap.

Referenced by xcb_dri3_buffers_from_pixmap(), and xcb_dri3_buffers_from_pixmap_unchecked().

## ◆ XCB_DRI3_FD_FROM_FENCE

#define XCB_DRI3_FD_FROM_FENCE 5

Opcode for xcb_dri3_fd_from_fence.

Referenced by xcb_dri3_fd_from_fence(), and xcb_dri3_fd_from_fence_unchecked().

## ◆ XCB_DRI3_FENCE_FROM_FD

#define XCB_DRI3_FENCE_FROM_FD 4

Opcode for xcb_dri3_fence_from_fd.

Referenced by xcb_dri3_fence_from_fd(), and xcb_dri3_fence_from_fd_checked().

## ◆ XCB_DRI3_FREE_SYNCOBJ

#define XCB_DRI3_FREE_SYNCOBJ 11

Opcode for xcb_dri3_free_syncobj.

Referenced by xcb_dri3_free_syncobj(), and xcb_dri3_free_syncobj_checked().

## ◆ XCB_DRI3_GET_SUPPORTED_MODIFIERS

#define XCB_DRI3_GET_SUPPORTED_MODIFIERS 6

Opcode for xcb_dri3_get_supported_modifiers.

Referenced by xcb_dri3_get_supported_modifiers(), and xcb_dri3_get_supported_modifiers_unchecked().

## ◆ XCB_DRI3_IMPORT_SYNCOBJ

#define XCB_DRI3_IMPORT_SYNCOBJ 10

Opcode for xcb_dri3_import_syncobj.

Referenced by xcb_dri3_import_syncobj(), and xcb_dri3_import_syncobj_checked().

## ◆ XCB_DRI3_OPEN

#define XCB_DRI3_OPEN 1

Opcode for xcb_dri3_open.

Referenced by xcb_dri3_open(), and xcb_dri3_open_unchecked().

## ◆ XCB_DRI3_PIXMAP_FROM_BUFFER

#define XCB_DRI3_PIXMAP_FROM_BUFFER 2

Opcode for xcb_dri3_pixmap_from_buffer.

Referenced by xcb_dri3_pixmap_from_buffer(), and xcb_dri3_pixmap_from_buffer_checked().

## ◆ XCB_DRI3_PIXMAP_FROM_BUFFERS

#define XCB_DRI3_PIXMAP_FROM_BUFFERS 7

Opcode for xcb_dri3_pixmap_from_buffers.

Referenced by xcb_dri3_pixmap_from_buffers(), and xcb_dri3_pixmap_from_buffers_checked().

## ◆ XCB_DRI3_QUERY_VERSION

#define XCB_DRI3_QUERY_VERSION 0

Opcode for xcb_dri3_query_version.

Referenced by xcb_dri3_query_version(), and xcb_dri3_query_version_unchecked().

## ◆ XCB_DRI3_SET_DRM_DEVICE_IN_USE

#define XCB_DRI3_SET_DRM_DEVICE_IN_USE 9

Opcode for xcb_dri3_set_drm_device_in_use.

Referenced by xcb_dri3_set_drm_device_in_use(), and xcb_dri3_set_drm_device_in_use_checked().

## Function Documentation

## ◆ xcb_dri3_buffer_from_pixmap()

xcb_dri3_buffer_from_pixmap_cookie_t xcb_dri3_buffer_from_pixmap | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_BUFFER_FROM_PIXMAP.

## ◆ xcb_dri3_buffer_from_pixmap_reply()

xcb_dri3_buffer_from_pixmap_reply_t * xcb_dri3_buffer_from_pixmap_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffer_from_pixmap_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_buffer_from_pixmap_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_buffer_from_pixmap_reply_fds()

int * xcb_dri3_buffer_from_pixmap_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffer_from_pixmap_reply_t * | reply )

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns a pointer to the array of reply fds of the reply.

The returned value points into the reply and must not be free(). The fds are not managed by xcb. You must close() them before freeing the reply.

## ◆ xcb_dri3_buffer_from_pixmap_unchecked()

xcb_dri3_buffer_from_pixmap_cookie_t xcb_dri3_buffer_from_pixmap_unchecked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_BUFFER_FROM_PIXMAP.

## ◆ xcb_dri3_buffers_from_pixmap()

xcb_dri3_buffers_from_pixmap_cookie_t xcb_dri3_buffers_from_pixmap | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_BUFFERS_FROM_PIXMAP.

## ◆ xcb_dri3_buffers_from_pixmap_reply()

xcb_dri3_buffers_from_pixmap_reply_t * xcb_dri3_buffers_from_pixmap_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffers_from_pixmap_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_buffers_from_pixmap_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_buffers_from_pixmap_reply_fds()

int * xcb_dri3_buffers_from_pixmap_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_buffers_from_pixmap_reply_t * | reply )

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns a pointer to the array of reply fds of the reply.

The returned value points into the reply and must not be free(). The fds are not managed by xcb. You must close() them before freeing the reply.

## ◆ xcb_dri3_buffers_from_pixmap_unchecked()

xcb_dri3_buffers_from_pixmap_cookie_t xcb_dri3_buffers_from_pixmap_unchecked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_BUFFERS_FROM_PIXMAP.

## ◆ xcb_dri3_fd_from_fence()

xcb_dri3_fd_from_fence_cookie_t xcb_dri3_fd_from_fence | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_FD_FROM_FENCE.

## ◆ xcb_dri3_fd_from_fence_reply()

xcb_dri3_fd_from_fence_reply_t * xcb_dri3_fd_from_fence_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_fd_from_fence_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_fd_from_fence_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_fd_from_fence_reply_fds()

int * xcb_dri3_fd_from_fence_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_fd_from_fence_reply_t * | reply )

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns a pointer to the array of reply fds of the reply.

The returned value points into the reply and must not be free(). The fds are not managed by xcb. You must close() them before freeing the reply.

## ◆ xcb_dri3_fd_from_fence_unchecked()

xcb_dri3_fd_from_fence_cookie_t xcb_dri3_fd_from_fence_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_FD_FROM_FENCE.

## ◆ xcb_dri3_fence_from_fd()

xcb_void_cookie_t xcb_dri3_fence_from_fd | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence,
|  | uint8_t | initially_triggered,
|  | int32_t | fence_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_FENCE_FROM_FD.

## ◆ xcb_dri3_fence_from_fd_checked()

xcb_void_cookie_t xcb_dri3_fence_from_fd_checked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | fence,
|  | uint8_t | initially_triggered,
|  | int32_t | fence_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_FENCE_FROM_FD.

## ◆ xcb_dri3_free_syncobj()

xcb_void_cookie_t xcb_dri3_free_syncobj | ( | xcb_connection_t * | c,
|  | xcb_dri3_syncobj_t | syncobj )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_FREE_SYNCOBJ.

## ◆ xcb_dri3_free_syncobj_checked()

xcb_void_cookie_t xcb_dri3_free_syncobj_checked | ( | xcb_connection_t * | c,
|  | xcb_dri3_syncobj_t | syncobj )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_FREE_SYNCOBJ.

## ◆ xcb_dri3_get_supported_modifiers()

xcb_dri3_get_supported_modifiers_cookie_t xcb_dri3_get_supported_modifiers | ( | xcb_connection_t * | c,
|  | uint32_t | window,
|  | uint8_t | depth,
|  | uint8_t | bpp )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_GET_SUPPORTED_MODIFIERS.

## ◆ xcb_dri3_get_supported_modifiers_reply()

xcb_dri3_get_supported_modifiers_reply_t * xcb_dri3_get_supported_modifiers_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_get_supported_modifiers_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_get_supported_modifiers_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_get_supported_modifiers_unchecked()

xcb_dri3_get_supported_modifiers_cookie_t xcb_dri3_get_supported_modifiers_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | window,
|  | uint8_t | depth,
|  | uint8_t | bpp )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_GET_SUPPORTED_MODIFIERS.

## ◆ xcb_dri3_import_syncobj()

xcb_void_cookie_t xcb_dri3_import_syncobj | ( | xcb_connection_t * | c,
|  | xcb_dri3_syncobj_t | syncobj,
|  | xcb_drawable_t | drawable,
|  | int32_t | syncobj_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_IMPORT_SYNCOBJ.

## ◆ xcb_dri3_import_syncobj_checked()

xcb_void_cookie_t xcb_dri3_import_syncobj_checked | ( | xcb_connection_t * | c,
|  | xcb_dri3_syncobj_t | syncobj,
|  | xcb_drawable_t | drawable,
|  | int32_t | syncobj_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_IMPORT_SYNCOBJ.

## ◆ xcb_dri3_open()

xcb_dri3_open_cookie_t xcb_dri3_open | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | provider )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_OPEN.

## ◆ xcb_dri3_open_reply()

xcb_dri3_open_reply_t * xcb_dri3_open_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_open_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_open_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_open_reply_fds()

int * xcb_dri3_open_reply_fds | ( | xcb_connection_t * | c,
|  | xcb_dri3_open_reply_t * | reply )

Return the reply fds

Parameters

  c | The connection
  reply | The reply

Returns a pointer to the array of reply fds of the reply.

The returned value points into the reply and must not be free(). The fds are not managed by xcb. You must close() them before freeing the reply.

## ◆ xcb_dri3_open_unchecked()

xcb_dri3_open_cookie_t xcb_dri3_open_unchecked | ( | xcb_connection_t * | c,
|  | xcb_drawable_t | drawable,
|  | uint32_t | provider )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_OPEN.

## ◆ xcb_dri3_pixmap_from_buffer()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffer | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_drawable_t | drawable,
|  | uint32_t | size,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | stride,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | int32_t | pixmap_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_PIXMAP_FROM_BUFFER.

## ◆ xcb_dri3_pixmap_from_buffer_checked()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffer_checked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_drawable_t | drawable,
|  | uint32_t | size,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint16_t | stride,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | int32_t | pixmap_fd )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_PIXMAP_FROM_BUFFER.

## ◆ xcb_dri3_pixmap_from_buffers()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffers | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_window_t | window,
|  | uint8_t | num_buffers,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | stride0,
|  | uint32_t | offset0,
|  | uint32_t | stride1,
|  | uint32_t | offset1,
|  | uint32_t | stride2,
|  | uint32_t | offset2,
|  | uint32_t | stride3,
|  | uint32_t | offset3,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | uint64_t | modifier,
|  | const int32_t * | buffers )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_PIXMAP_FROM_BUFFERS.

## ◆ xcb_dri3_pixmap_from_buffers_checked()

xcb_void_cookie_t xcb_dri3_pixmap_from_buffers_checked | ( | xcb_connection_t * | c,
|  | xcb_pixmap_t | pixmap,
|  | xcb_window_t | window,
|  | uint8_t | num_buffers,
|  | uint16_t | width,
|  | uint16_t | height,
|  | uint32_t | stride0,
|  | uint32_t | offset0,
|  | uint32_t | stride1,
|  | uint32_t | offset1,
|  | uint32_t | stride2,
|  | uint32_t | offset2,
|  | uint32_t | stride3,
|  | uint32_t | offset3,
|  | uint8_t | depth,
|  | uint8_t | bpp,
|  | uint64_t | modifier,
|  | const int32_t * | buffers )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_PIXMAP_FROM_BUFFERS.

## ◆ xcb_dri3_query_version()

xcb_dri3_query_version_cookie_t xcb_dri3_query_version | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_QUERY_VERSION.

## ◆ xcb_dri3_query_version_reply()

xcb_dri3_query_version_reply_t * xcb_dri3_query_version_reply | ( | xcb_connection_t * | c,
|  | xcb_dri3_query_version_cookie_t | cookie,
|  | xcb_generic_error_t ** | e )

Return the reply

Parameters

  c | The connection
  cookie | The cookie
  e | The xcb_generic_error_t supplied

Returns the reply of the request asked by

The parameter `e` supplied to this function must be NULL if xcb_dri3_query_version_unchecked(). is used. Otherwise, it stores the error if any.

The returned value must be freed by the caller using free().

## ◆ xcb_dri3_query_version_unchecked()

xcb_dri3_query_version_cookie_t xcb_dri3_query_version_unchecked | ( | xcb_connection_t * | c,
|  | uint32_t | major_version,
|  | uint32_t | minor_version )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will cause a reply to be generated. Any returned error will be placed in the event queue.

References XCB_DRI3_QUERY_VERSION.

## ◆ xcb_dri3_set_drm_device_in_use()

xcb_void_cookie_t xcb_dri3_set_drm_device_in_use | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | drmMajor,
|  | uint32_t | drmMinor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

References XCB_DRI3_SET_DRM_DEVICE_IN_USE.

## ◆ xcb_dri3_set_drm_device_in_use_checked()

xcb_void_cookie_t xcb_dri3_set_drm_device_in_use_checked | ( | xcb_connection_t * | c,
|  | xcb_window_t | window,
|  | uint32_t | drmMajor,
|  | uint32_t | drmMinor )

Parameters

  c | The connection

Returns
  A cookie

Delivers a request to the X server.

This form can be used only if the request will not cause a reply to be generated. Any returned error will be saved for handling by xcb_request_check().

References XCB_DRI3_SET_DRM_DEVICE_IN_USE.

## ◆ xcb_dri3_syncobj_end()

xcb_generic_iterator_t xcb_dri3_syncobj_end | ( | xcb_dri3_syncobj_iterator_t | i | ) |

Return the iterator pointing to the last element

Parameters

  i | An xcb_dri3_syncobj_iterator_t

Returns
  The iterator pointing to the last element

Set the current element in the iterator to the last element. The member rem is set to 0. The member data points to the last element.

References xcb_generic_iterator_t::data, xcb_generic_iterator_t::index, and xcb_generic_iterator_t::rem.

## ◆ xcb_dri3_syncobj_next()

void xcb_dri3_syncobj_next | ( | xcb_dri3_syncobj_iterator_t * | i | ) |

Get the next element of the iterator

Parameters

  i | Pointer to a xcb_dri3_syncobj_iterator_t

Get the next element in the iterator. The member rem is decreased by one. The member data points to the next element. The member index is increased by sizeof(xcb_dri3_syncobj_t)